%This script generates Figure 2a%
%Author: Qin Liu%

%read energy consumption data for USA, India, China and Global%
usa_ec=csvread('Figure_2a',0,0,[8,3,8,33]);
ind_ec=csvread('Figure_2a',0,0,[196,3,196,33]);
chn_ec=csvread('Figure_2a',0,0,[189,3,189,33]);
global_ec=csvread('Figure_2a',0,0,[8,3,8,33]);
year=csvread('Figure_2a',0,0,[1,3,1,33]);

%Calculate cumulative energy consumption%
usa=usa_ec*0.29307*10^3/(24*365);
chn=(usa_ec'+chn_ec')*0.29307*10^3/(24*365);
ind=(usa_ec'+ind_ec'+chn_ec')*0.29307*10^3/(24*365);
globalec=global_ec*0.29307*10^3/(24*365);

%Generate plot and set axis, title, labels and legends%
%Positions of labels may not be accurate%
plot(year,usa,'k-',year,ind,'k-',year,chn,'k-',year,globalec,'k-');
axis([1980,2010,0,18]);
axis square;
set(gca,'ytick',[0:2:18]);
t=title('Stack plot of global energy consumption');
t19=xlabel('Year');
t20=ylabel('Energy consumption (TW)');
t21=text(.1,.8,'Data source: EIA');
set(t,'Fontsize',18);
set(t19,'Fontsize',18);
set(t20,'Fontsize',18);
set(t21,'Fontsize',17);
