
ec_mov=csvread('Global_ectot',0,0,[3,3,225,33]);
pop_mov=csvread('Global_pop',0,0,[3,3,225,33]);
ecpercap_mov=csvread('Global_ecpercap',0,0,[3,3,225,33]);
year_mov=csvread('Global_ectot',0,0,[1,3,1,33]');
format long;


for j=1:31;
    ec=ec_mov(:,j);
pop=pop_mov(:,j);
ecpercap=ecpercap_mov(:,j);
data=[ecpercap,ec,pop];
lorentz=sortrows(data,1);
s_ec=lorentz(:,2);
s_pop=lorentz(:,3);
ecratio(:,j)=s_ec/sum(s_ec);
popratio(:,j)=s_pop/sum(s_pop);
for i=1:223;
    cm_ecratio(i,j)=sum(ecratio(1:i,j:j));
end

for i=1:223;
    cm_popratio(i,j)=sum(popratio(1:i,j:j));
end
end


x4=0:0.0001:1;
y4=x4+(1-x4).*log(1-x4);

x5=0:0.0001:1;
y5=1-x5;
x6=0:0.0001:1;
y6=x6;
plot(x4,y4,'k-','Linewidth',1.4);
hold on
plot(cm_popratio(:,31),cm_ecratio(:,31),'r.-');

hold on
plot(cm_popratio(:,21),cm_ecratio(:,21),'.-','Color',[0 .4 .3]);

hold on
plot(cm_popratio(:,11),cm_ecratio(:,11),'.-','Color',[.3 .2 0]);
hold on
plot(cm_popratio(:,1),cm_ecratio(:,1),'.-','Color',[0 0 1]);
hold on
plot(x5,y5,'k--');
hold on
plot(x6,y6,'k','MarkerSize',4.5);
hold on

highlightx=[cm_popratio(76,1),cm_popratio(113,1),cm_popratio(137,1),cm_popratio(186,1),cm_popratio(189,1),cm_popratio(194,1),cm_popratio(213,1)];
highlighty=[cm_ecratio(76,1),cm_ecratio(113,1),cm_ecratio(137,1),cm_ecratio(186,1),cm_ecratio(189,1),cm_ecratio(194,1),cm_ecratio(213,1)];
plot(highlightx,highlighty,'b.','MarkerSize',25);
hold on

highlightxx=[cm_popratio(73,31),cm_popratio(117,31),cm_popratio(139,31),cm_popratio(174,31),cm_popratio(184,31),cm_popratio(194,31),cm_popratio(209,31)];
highlightyy=[cm_ecratio(73,31),cm_ecratio(117,31),cm_ecratio(139,31),cm_ecratio(174,31),cm_ecratio(184,31),cm_ecratio(194,31),cm_ecratio(209,31)];
plot(highlightxx,highlightyy,'r.','MarkerSize',25);

hold off
axis([0,1,0,1]);
set(gca,'xtick',[0:0.1:1],'TickDir','out')
set(gca,'ytick',[0:0.1:1])
axis square;


vertices1 = [0.67 0.31; 0.67 0.33; 0.69 0.33; 0.69 0.31];
h1= patch(vertices1(:,1), vertices1(:,2), 'k');
vertices2 = [0.69 0.285; 0.69 0.305; 0.71 0.305; 0.71 0.285];
h2 = patch(vertices2(:,1), vertices2(:,2), 'k');
vertices3 = [0.735 0.245; 0.735 0.265; 0.755 0.265; 0.755 0.245];
h3 = patch(vertices3(:,1), vertices3(:,2), 'k');
vertices4 = [0.75 0.23; 0.75 0.25; 0.77 0.25; 0.77 0.23];
h4 = patch(vertices4(:,1), vertices4(:,2), 'k');
vertices5 = [0.757 0.22; 0.757 0.24; 0.777 0.24; 0.777 0.22];
h5 = patch(vertices5(:,1), vertices5(:,2), 'k');




t6=text(0.08,0.6,'Data source: EIA');
t7=text(.93,.95,'USA');
t8=text(.67,.38,'CHN');
t9=text(.83,.70,'RUS');
t10=text(.80,.64,'FRA');
t11=text(.80,.55,'UK');
t12=text(.42,.15,'BRA');
t13=text(.32,.10,'IND');
t14=text(.23,.05,'IND');
t15=text(.57,.07,'CHN');
t16=text(.68,.08,'BRA');
t17=text(.84,.33,'UK');
t18=text(.92,.55,'FRA');
t18a=text(1.01,0.95,'USA');
t18b=text(0.925,0.57,'USSR');


set(t6,'Fontsize',18);
set(t7,'Fontsize',16,'Color','r');
set(t8,'Fontsize',16,'Color','r');
set(t9,'Fontsize',16,'Color','r');
set(t10,'Fontsize',16,'Color','r');
set(t11,'Fontsize',16,'Color','r');
set(t12,'Fontsize',16,'Color','r');
set(t13,'Fontsize',16,'Color','r');
set(t14,'Fontsize',16,'Color','b');
set(t15,'Fontsize',16,'Color','b');
set(t16,'Fontsize',16,'Color','b');
set(t17,'Fontsize',16,'Color','b');
set(t18,'Fontsize',16,'Color','b');
set(t18a,'Fontsize',16,'Color','b');
set(t18b,'Fontsize',16,'Color','b');


t=title('Lorenz Plot of Global Energy Consumption');
t19=xlabel('Fraction of the World Population');
t20=ylabel('Fraction of the World Energy Consumption');
set(t,'Fontsize',18);
set(t19,'Fontsize',18);
set(t20,'Fontsize',18);
h=legend('Exponential G=0.5','2010 G=0.55','2000 G=0.62','1990 G=0.64','1980 G=0.66',2);
set(h,'Fontsize',18);
tightinset=get(gca,'TightInset');
position(1)=tightinset(1);
position(2)=tightinset(2);
position(3)=1-tightinset(1)-tightinset(3);
position(4)=1-tightinset(2)-tightinset(4);
set(gca,'Position',position);

